Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
tuvanthietke.hcm

Thay nhanh TEXT

Các bài được khuyến nghị

Mình có 1 loạt TEXT là A, bây giờ làm sao thành B.

 

Không repalce all nhé vì có nhiều A khác nhau lắm

Hề hề hề,

Bạn có thể dùng lisp sau:

(defun c:reptxt ()
(setq txm (car (entsel "\n Chon text mau"))
       txt (cdr (assoc 1 (entget txm)))
) 
(alert "\n Chon cac text can thay the boi text mau")
(setq sstxt (ssget (list (cons 0 "*text")))
        n (sslength sstxt)
        i 0
)
(while (< i n)
      (setq etxt (ssname sstxt i)
              els (entget etxt)
              els (subst (cons 1 txt) (assoc 1 els) els)
      )
      (entmod els)
      (setq i (1+ i))
)
)

Chúc bạn vui.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình thấy nó báo lỗi như thế này:

Command: reptxt

Chon text mau; error: bad argument type: listp <Entity name: 7ef91068>

 

Là sao?

Chết cha, tại mình viêt rồi post luôn không kiểm, sorry. Bạn load lại nhé, mình đã sửa lại trong bài trên rồi...

Xin lỗ bạn phát nữa, hề hề hề...

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×